Delete Eval Run

Deletes the eval run identified by its ID.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Path parameters

idstringRequired

Response

statusenum
This is the status of the eval run. When an eval run is created, the status is 'running'. When the eval run is completed, the status is 'ended'.
endedReasonenum
This is the reason for the eval run to end. When the eval run is completed normally i.e end of mock conversation, the status is 'mockConversation.done'. When the eval fails due to an error like Chat error or incorrect configuration, the status is 'error'. When the eval runs for too long, due to model issues or tool call issues, the status is 'timeout'. When the eval run is cancelled by the user, the status is 'cancelled'. When the eval run is cancelled by Vapi for any reason, the status is 'aborted'.
targetobject
This is the target that will be run against the eval
idstring
The unique identifier for the eval run.
orgIdstring
The unique identifier for the organization that owns the run.
createdAtdatetime
The ISO 8601 timestamp when the eval run was created.
startedAtdatetime
The ISO 8601 timestamp when the eval run started.
endedAtdatetime
The ISO 8601 timestamp when the eval run ended.
resultslist of objects
This is the results of the eval or suite run. The array will have a single item for an eval run, and multiple items each corresponding to the an eval in a suite run in the same order as the evals in the suite.
costdouble
This is the cost of the eval or suite run in USD.
costslist of objects
This is the break up of costs of the eval or suite run.
typeenum

This is the type of the run. Currently it is fixed to eval.

evalobject
This is the transient eval that will be run
endedMessagestring
This is the ended message when the eval run ended for any reason apart from mockConversation.done
evalIdstring
This is the id of the eval that will be run.